{% extends "base.html" %}
{% block title %}{{data["title"]}}{% endblock %}
{% block content %}


{% if "tmp435" in data["class"] %}
<h3>TMP435</h3>
<table class="table table-striped">
  <thead>
    <tr>
      <th scope="col">Sensor</th>
      <th scope="col">Local temp [deg C]</th>
      <th scope="col">Probe temp [deg C]</th>
      <th scope="col">Probe max [deg C]</th>
      <th scope="col">Status</th>
      <th scope="col">Description</th>
    </tr>
  </thead>
  <tbody>

  {% for device_path, device_data in data["devices"].items() | sort %}
  {% for name, value in device_data["temperature"].items() | sort %}
  <tr>
    <th scope="row">{{name}}</th>
    <td>{{ "{:.1f}".format(value["local"]) }}</td>
    <td>{{ "{:.1f}".format(value["probe"]) }}</td>
    <td>{{ "{:.1f}".format(value["max"])}}</td>
    <td>{{ value["status"]}}</td>
    <td>{{ value["desc"] }}</td>
  </tr>
  {% endfor %}
  {% endfor %}
  </tbody>
</table>

{% elif "ltm4700" in data["class"] %}
  <h3>LTM4700</h3>
  
  {% for device_path, device_data in data["devices"].items() | sort %}  
  <div>Voltage regulator {{device_data['name']}}</div>

  <table class="table table-striped">
    <thead>
      <tr>
        <th scope="col">Sensor</th>
        <th scope="col">Voltage [V]</th>
        <th scope="col">Range [V]</th>
        <th scope="col">Current [A]</th>
        <th scope="col">Max [A]</th>
        <th scope="col">Power [W]</th>
        <th scope="col">Temperature [deg C]</th>
      </tr>
    </thead>
    <tbody>

    <tr>
      <th scope="row">Die</th>
      <td></td>
      <td></td>
      <td></td>
      <td></td>
      <td></td>
      <td>{{ "{:.3f}".format(device_data["temperature"]['temp3']['read']) }}</td>
    </tr>

    <tr>
      <th scope="row">INPUT</th>
      <td>{{ "{:.3f}".format(device_data["voltage"]['in1']['read']) }} </td>
      <td>{{ "[{:.3f}, {:.3f}]".format(device_data["voltage"]['in1']['min'], device_data["voltage"]['in1']['max']) }} </td>
      <td>{{ "{:.3f}".format(device_data["current"]['curr1']['read']) }} </td>
      <td>{{ "{:.3f}".format(device_data["current"]['curr1']['max']) }} </td>
      <td>{{ "{:.3f}".format(device_data["power"]['power1']['read']) }} </td>
      <td>{{ "{:.3f}".format(device_data["temperature"]['temp1']['read']) }} </td>
      <td></td>
    </tr>
    
    <tr>
      <th scope="row">OUT1</th>
      <td>{{ "{:.3f}".format(device_data["voltage"]['in2']['read']) }} </td>
      <td>{{ "[{:.3f}, {:.3f}]".format(device_data["voltage"]['in2']['min'], device_data["voltage"]['in2']['max']) }} </td>
      <td>{{ "{:.3f}".format(device_data["current"]['curr2']['read']) }} </td>
      <td>{{ "{:.3f}".format(device_data["current"]['curr2']['max']) }} </td>
      <td>{{ "{:.3f}".format(device_data["power"]['power2']['read']) }} </td>
      <td>{{ "{:.3f}".format(device_data["temperature"]['temp2']['read']) }} </td>
    </tr>

    <tr>
      <th scope="row">OUT2</th>
      <td>{{ "{:.3f}".format(device_data["voltage"]['in3']['read']) }} </td>
      <td>{{ "[{:.3f}, {:.3f}]".format(device_data["voltage"]['in3']['min'], device_data["voltage"]['in3']['max']) }} </td>
      <td>{{ "{:.3f}".format(device_data["current"]['curr3']['read']) }} </td>
      <td>{{ "{:.3f}".format(device_data["current"]['curr3']['max']) }} </td>
      <td>{{ "{:.3f}".format(device_data["power"]['power3']['read']) }} </td>
      <td>{{ "{:.3f}".format(device_data["temperature"]['temp3']['read']) }} </td>
    </tr>

    </tbody>
  </table>

  {% endfor %}

{% elif "jc42" in data["class"] %}
<h3>JEDEC JC-42.4 compatible temperature sensors</h3>
<table class="table table-striped">
  <thead>
    <tr>
      <th scope="col">Device</th>
      <th scope="col">Temperature [deg C]</th>
      <th scope="col">Max Temp [deg C]</th>
      <th scope="col">Status</th>
    </tr>
  </thead>
  <tbody>

  {% for device_path, device_data in data["devices"].items() | sort %}
  {% for key, meas in device_data["temperature"].items() | sort %}

  <tr>
    <th scope="row">{{key}}</th>
    <td>{{ "{:.3f}".format(meas["read"]) }} </td>
    <td>{{ "{:.3f}".format(meas["max"]) }} </td>
    <td>{{ meas["status"] }} </td>
  </tr>
  {% endfor %}
  {% endfor %}


  </tbody>
</table>

{% else %}

{% for device_path, device_data in data["devices"].items() %}

<h3>{{device_data['name']}}</h3>
<div>HW monitor device at {{device_path}}</div>

{% if "temperature" in device_data %}
<h3>Temperature monitor</h3>
<table class="table table-striped">
  <thead>
    <tr>
      <th scope="col">Input</th>
      <th scope="col">Value (deg C)</th>
      <th scope="col">[Min, Max] (deg C)</th>
      <th scope="col">Description</th>
      <th scope="col">Status</th>
    </tr>
  </thead>
  <tbody>

    {% for name, value in device_data['temperature'].items() | sort %}
    <tr>
      <th scope="row">{{name}}</th>
      <td>{{ "{:.1f}".format(value["read"]) }}</td>
      <td>{{ "[{:.1F}, {:.1F}]".format(value["min"], value["max"])}}</td>
      <td>{{ value["desc"] }}</td>
      <td>{{ value["status"] }}</td>
    </tr>
    {% endfor %}

  </tbody>
</table>
{% endif %}


{% if "voltage" in device_data %}
<h3>Voltage monitor</h3>
<table class="table table-striped">
  <thead>
    <tr>
      <th scope="col">Input</th>
      <th scope="col">Value (V)</th>
      <th scope="col">[Min, Max] (V)</th>
      <th scope="col">Description</th>
      <th scope="col">Status</th>
    </tr>
  </thead>
  <tbody>
    {% for name, value in device_data['voltage'].items() | sort %}
    <tr>
      <th scope="row">{{name}}</th>
      <td>{{ "{:.3f}".format(value["read"]) }}</td>
      <td>{{ "[{:.3f}, {:.3f}]".format(value["min"], value["max"]) }}</td>
      <td>{{ value["desc"] }}</td>
      <td>{{ value["status"] }}</td>
    </tr>
    {% endfor %}

  </tbody>
</table>
{% endif %}


{% if "current table-striped" in device_data %}
<h3>Current monitor</h3>
<table class="table table-striped">
  <thead>
    <tr>
      <th scope="col">Input</th>
      <th scope="col">Value</th>
    </tr>
  </thead>
  <tbody>

    {% for name, value in device_data['current'].items() | sort %}
    <tr>
      <th scope="row">{{name}}</th>
      <td>{{ "{:.3f}".format(value) }} A</td>
    </tr>
    {% endfor %}

  </tbody>
</table>
{% endif %}

{% endfor %}


{% endif %}

{% endblock %}